import { Editor } from './editor/editor';

const MainApp = () => {
    const editor = new Editor();

    window.addEventListener( 'resize', () => {
        editor.onWindowResize();
    });

    const animate = () => {
        requestAnimationFrame( animate );
        editor.render();
    }
    requestAnimationFrame( animate );
}

window.addEventListener( 'DOMContentLoaded', () => {
    MainApp();
})